{
  "version": 3,
  "pages404": true,
  "appType": "app",
  "caseSensitive": false,
  "basePath": "",
  "redirects": [
    {
      "source": "/:path+/",
      "destination": "/:path+",
      "internal": true,
      "priority": true,
      "statusCode": 308,
      "regex": "^(?:/((?:[^/]+?)(?:/(?:[^/]+?))*))/$"
    },
    {
      "source": "/",
      "destination": "/dashboard",
      "statusCode": 307,
      "regex": "^(?!/_next)/(?:/)?$"
    }
  ],
  "headers": [],
  "rewrites": {
    "beforeFiles": [],
    "afterFiles": [],
    "fallback": []
  },
  "dynamicRoutes": [
    {
      "page": "/api/print-share/[token]",
      "regex": "^/api/print\\-share/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPtoken": "nxtPtoken"
      },
      "namedRegex": "^/api/print\\-share/(?<nxtPtoken>[^/]+?)(?:/)?$"
    },
    {
      "page": "/api/print-share/[token]/pdf",
      "regex": "^/api/print\\-share/([^/]+?)/pdf(?:/)?$",
      "routeKeys": {
        "nxtPtoken": "nxtPtoken"
      },
      "namedRegex": "^/api/print\\-share/(?<nxtPtoken>[^/]+?)/pdf(?:/)?$"
    },
    {
      "page": "/finance/payments/[id]",
      "regex": "^/finance/payments/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/payments/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/finance/payments/[id]/edit",
      "regex": "^/finance/payments/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/payments/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/pc-requests/[id]",
      "regex": "^/finance/pc\\-requests/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/pc\\-requests/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/finance/pc-requests/[id]/edit",
      "regex": "^/finance/pc\\-requests/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/pc\\-requests/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/pc-transactions/[id]",
      "regex": "^/finance/pc\\-transactions/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/pc\\-transactions/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/finance/pc-transactions/[id]/edit",
      "regex": "^/finance/pc\\-transactions/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/pc\\-transactions/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/receipts/[id]",
      "regex": "^/finance/receipts/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/receipts/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/finance/receipts/[id]/edit",
      "regex": "^/finance/receipts/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/receipts/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/branch-year-counters/[id]/edit",
      "regex": "^/finance/settings/branch\\-year\\-counters/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/branch\\-year\\-counters/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/branch-year-settings/[id]/edit",
      "regex": "^/finance/settings/branch\\-year\\-settings/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/branch\\-year\\-settings/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/chart-of-accounts/[id]/edit",
      "regex": "^/finance/settings/chart\\-of\\-accounts/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/chart\\-of\\-accounts/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/cities/[id]/edit",
      "regex": "^/finance/settings/cities/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/cities/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/cost-centers/[id]/edit",
      "regex": "^/finance/settings/cost\\-centers/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/cost\\-centers/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/countries/[id]/edit",
      "regex": "^/finance/settings/countries/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/countries/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/currencies/[id]/edit",
      "regex": "^/finance/settings/currencies/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/currencies/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/fiscal-periods/[id]/edit",
      "regex": "^/finance/settings/fiscal\\-periods/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/fiscal\\-periods/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/fiscal-year/[id]/edit",
      "regex": "^/finance/settings/fiscal\\-year/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/fiscal\\-year/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/journal-types/[id]/edit",
      "regex": "^/finance/settings/journal\\-types/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/journal\\-types/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/payment-terms/[id]/edit",
      "regex": "^/finance/settings/payment\\-terms/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/payment\\-terms/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/petty-cash/[id]/edit",
      "regex": "^/finance/settings/petty\\-cash/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/petty\\-cash/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/tax-accounts/[id]/edit",
      "regex": "^/finance/settings/tax\\-accounts/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/tax\\-accounts/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/temp-suppliers/[id]/edit",
      "regex": "^/finance/settings/temp\\-suppliers/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/temp\\-suppliers/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/settings/trade-accounts/[id]/edit",
      "regex": "^/finance/settings/trade\\-accounts/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/settings/trade\\-accounts/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/transactions/[id]",
      "regex": "^/finance/transactions/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/transactions/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/finance/transactions/[id]/edit",
      "regex": "^/finance/transactions/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/transactions/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/finance/transactions/[id]/print",
      "regex": "^/finance/transactions/([^/]+?)/print(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/finance/transactions/(?<nxtPid>[^/]+?)/print(?:/)?$"
    },
    {
      "page": "/organization/branches/[id]/edit",
      "regex": "^/organization/branches/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/organization/branches/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/organization/companies/[id]/edit",
      "regex": "^/organization/companies/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/organization/companies/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/project-management/pm-sub-invoices/[id]",
      "regex": "^/project\\-management/pm\\-sub\\-invoices/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/pm\\-sub\\-invoices/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/project-management/pm-sub-invoices/[id]/edit",
      "regex": "^/project\\-management/pm\\-sub\\-invoices/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/pm\\-sub\\-invoices/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/project-management/price-lists/[id]",
      "regex": "^/project\\-management/price\\-lists/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/price\\-lists/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/project-management/price-lists/[id]/edit",
      "regex": "^/project\\-management/price\\-lists/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/price\\-lists/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/project-management/project-quotas/[id]",
      "regex": "^/project\\-management/project\\-quotas/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/project\\-quotas/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/project-management/project-quotas/[id]/edit",
      "regex": "^/project\\-management/project\\-quotas/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/project\\-quotas/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/project-management/projects/[id]/edit",
      "regex": "^/project\\-management/projects/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/projects/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/project-management/site-handovers/[id]",
      "regex": "^/project\\-management/site\\-handovers/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/site\\-handovers/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/project-management/site-handovers/[id]/edit",
      "regex": "^/project\\-management/site\\-handovers/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/site\\-handovers/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/project-management/store-transactions/[id]",
      "regex": "^/project\\-management/store\\-transactions/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/store\\-transactions/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/project-management/store-transactions/[id]/edit",
      "regex": "^/project\\-management/store\\-transactions/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/store\\-transactions/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/project-management/sub-agreements/[id]",
      "regex": "^/project\\-management/sub\\-agreements/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/sub\\-agreements/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/project-management/sub-agreements/[id]/edit",
      "regex": "^/project\\-management/sub\\-agreements/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/project\\-management/sub\\-agreements/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/purchase/goods-receipts/[id]",
      "regex": "^/purchase/goods\\-receipts/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchase/goods\\-receipts/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/purchase/goods-receipts/[id]/edit",
      "regex": "^/purchase/goods\\-receipts/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchase/goods\\-receipts/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/purchase/material-requests/[id]",
      "regex": "^/purchase/material\\-requests/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchase/material\\-requests/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/purchase/material-requests/[id]/edit",
      "regex": "^/purchase/material\\-requests/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchase/material\\-requests/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/purchase/purchase-invoices/[id]",
      "regex": "^/purchase/purchase\\-invoices/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchase/purchase\\-invoices/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/purchase/purchase-invoices/[id]/edit",
      "regex": "^/purchase/purchase\\-invoices/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchase/purchase\\-invoices/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/purchase/purchase-orders/[id]",
      "regex": "^/purchase/purchase\\-orders/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchase/purchase\\-orders/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/purchase/purchase-orders/[id]/edit",
      "regex": "^/purchase/purchase\\-orders/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchase/purchase\\-orders/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/purchase/purchase-requests/[id]",
      "regex": "^/purchase/purchase\\-requests/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchase/purchase\\-requests/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/purchase/purchase-requests/[id]/edit",
      "regex": "^/purchase/purchase\\-requests/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchase/purchase\\-requests/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/purchase/purchase-returns/[id]",
      "regex": "^/purchase/purchase\\-returns/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchase/purchase\\-returns/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/purchase/purchase-returns/[id]/edit",
      "regex": "^/purchase/purchase\\-returns/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchase/purchase\\-returns/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/roles/[id]/edit",
      "regex": "^/roles/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/roles/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/settings/audit-configurations/[id]/edit",
      "regex": "^/settings/audit\\-configurations/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/settings/audit\\-configurations/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/share/journal/[token]",
      "regex": "^/share/journal/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPtoken": "nxtPtoken"
      },
      "namedRegex": "^/share/journal/(?<nxtPtoken>[^/]+?)(?:/)?$"
    },
    {
      "page": "/users/[id]/edit",
      "regex": "^/users/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/users/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    }
  ],
  "staticRoutes": [
    {
      "page": "/",
      "regex": "^/(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/(?:/)?$"
    },
    {
      "page": "/_global-error",
      "regex": "^/_global\\-error(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/_global\\-error(?:/)?$"
    },
    {
      "page": "/_not-found",
      "regex": "^/_not\\-found(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/_not\\-found(?:/)?$"
    },
    {
      "page": "/403",
      "regex": "^/403(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/403(?:/)?$"
    },
    {
      "page": "/api/ai/chat",
      "regex": "^/api/ai/chat(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/api/ai/chat(?:/)?$"
    },
    {
      "page": "/api/print-share",
      "regex": "^/api/print\\-share(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/api/print\\-share(?:/)?$"
    },
    {
      "page": "/assistant",
      "regex": "^/assistant(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/assistant(?:/)?$"
    },
    {
      "page": "/chat",
      "regex": "^/chat(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/chat(?:/)?$"
    },
    {
      "page": "/dashboard",
      "regex": "^/dashboard(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/dashboard(?:/)?$"
    },
    {
      "page": "/dashboard/analytics",
      "regex": "^/dashboard/analytics(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/dashboard/analytics(?:/)?$"
    },
    {
      "page": "/dashboard/apps",
      "regex": "^/dashboard/apps(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/dashboard/apps(?:/)?$"
    },
    {
      "page": "/dashboard/settings",
      "regex": "^/dashboard/settings(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/dashboard/settings(?:/)?$"
    },
    {
      "page": "/favicon.ico",
      "regex": "^/favicon\\.ico(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/favicon\\.ico(?:/)?$"
    },
    {
      "page": "/finance/dashboard",
      "regex": "^/finance/dashboard(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/dashboard(?:/)?$"
    },
    {
      "page": "/finance/payments",
      "regex": "^/finance/payments(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/payments(?:/)?$"
    },
    {
      "page": "/finance/payments/entry",
      "regex": "^/finance/payments/entry(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/payments/entry(?:/)?$"
    },
    {
      "page": "/finance/pc-requests",
      "regex": "^/finance/pc\\-requests(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/pc\\-requests(?:/)?$"
    },
    {
      "page": "/finance/pc-requests/entry",
      "regex": "^/finance/pc\\-requests/entry(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/pc\\-requests/entry(?:/)?$"
    },
    {
      "page": "/finance/pc-transactions",
      "regex": "^/finance/pc\\-transactions(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/pc\\-transactions(?:/)?$"
    },
    {
      "page": "/finance/pc-transactions/entry",
      "regex": "^/finance/pc\\-transactions/entry(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/pc\\-transactions/entry(?:/)?$"
    },
    {
      "page": "/finance/receipts",
      "regex": "^/finance/receipts(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/receipts(?:/)?$"
    },
    {
      "page": "/finance/receipts/entry",
      "regex": "^/finance/receipts/entry(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/receipts/entry(?:/)?$"
    },
    {
      "page": "/finance/reports/general-ledger",
      "regex": "^/finance/reports/general\\-ledger(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/reports/general\\-ledger(?:/)?$"
    },
    {
      "page": "/finance/reports/trial-balance",
      "regex": "^/finance/reports/trial\\-balance(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/reports/trial\\-balance(?:/)?$"
    },
    {
      "page": "/finance/settings/additions-discounts",
      "regex": "^/finance/settings/additions\\-discounts(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/additions\\-discounts(?:/)?$"
    },
    {
      "page": "/finance/settings/branch-year-counters",
      "regex": "^/finance/settings/branch\\-year\\-counters(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/branch\\-year\\-counters(?:/)?$"
    },
    {
      "page": "/finance/settings/branch-year-settings",
      "regex": "^/finance/settings/branch\\-year\\-settings(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/branch\\-year\\-settings(?:/)?$"
    },
    {
      "page": "/finance/settings/chart-of-accounts",
      "regex": "^/finance/settings/chart\\-of\\-accounts(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/chart\\-of\\-accounts(?:/)?$"
    },
    {
      "page": "/finance/settings/cities",
      "regex": "^/finance/settings/cities(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/cities(?:/)?$"
    },
    {
      "page": "/finance/settings/cost-centers",
      "regex": "^/finance/settings/cost\\-centers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/cost\\-centers(?:/)?$"
    },
    {
      "page": "/finance/settings/countries",
      "regex": "^/finance/settings/countries(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/countries(?:/)?$"
    },
    {
      "page": "/finance/settings/currencies",
      "regex": "^/finance/settings/currencies(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/currencies(?:/)?$"
    },
    {
      "page": "/finance/settings/delivery-locations",
      "regex": "^/finance/settings/delivery\\-locations(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/delivery\\-locations(?:/)?$"
    },
    {
      "page": "/finance/settings/fiscal-periods",
      "regex": "^/finance/settings/fiscal\\-periods(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/fiscal\\-periods(?:/)?$"
    },
    {
      "page": "/finance/settings/fiscal-year",
      "regex": "^/finance/settings/fiscal\\-year(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/fiscal\\-year(?:/)?$"
    },
    {
      "page": "/finance/settings/incoterms",
      "regex": "^/finance/settings/incoterms(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/incoterms(?:/)?$"
    },
    {
      "page": "/finance/settings/inventory/items-categories",
      "regex": "^/finance/settings/inventory/items\\-categories(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/inventory/items\\-categories(?:/)?$"
    },
    {
      "page": "/finance/settings/inventory/items-groups",
      "regex": "^/finance/settings/inventory/items\\-groups(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/inventory/items\\-groups(?:/)?$"
    },
    {
      "page": "/finance/settings/inventory/master-items",
      "regex": "^/finance/settings/inventory/master\\-items(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/inventory/master\\-items(?:/)?$"
    },
    {
      "page": "/finance/settings/inventory/uom",
      "regex": "^/finance/settings/inventory/uom(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/inventory/uom(?:/)?$"
    },
    {
      "page": "/finance/settings/inventory/warehouses",
      "regex": "^/finance/settings/inventory/warehouses(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/inventory/warehouses(?:/)?$"
    },
    {
      "page": "/finance/settings/journal-types",
      "regex": "^/finance/settings/journal\\-types(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/journal\\-types(?:/)?$"
    },
    {
      "page": "/finance/settings/payment-terms",
      "regex": "^/finance/settings/payment\\-terms(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/payment\\-terms(?:/)?$"
    },
    {
      "page": "/finance/settings/payment-terms/new",
      "regex": "^/finance/settings/payment\\-terms/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/payment\\-terms/new(?:/)?$"
    },
    {
      "page": "/finance/settings/payment-terms/schedules",
      "regex": "^/finance/settings/payment\\-terms/schedules(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/payment\\-terms/schedules(?:/)?$"
    },
    {
      "page": "/finance/settings/petty-cash",
      "regex": "^/finance/settings/petty\\-cash(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/petty\\-cash(?:/)?$"
    },
    {
      "page": "/finance/settings/tax-accounts",
      "regex": "^/finance/settings/tax\\-accounts(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/tax\\-accounts(?:/)?$"
    },
    {
      "page": "/finance/settings/temp-suppliers",
      "regex": "^/finance/settings/temp\\-suppliers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/temp\\-suppliers(?:/)?$"
    },
    {
      "page": "/finance/settings/trade-accounts",
      "regex": "^/finance/settings/trade\\-accounts(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/settings/trade\\-accounts(?:/)?$"
    },
    {
      "page": "/finance/transactions",
      "regex": "^/finance/transactions(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/transactions(?:/)?$"
    },
    {
      "page": "/finance/transactions/journal-entry",
      "regex": "^/finance/transactions/journal\\-entry(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/transactions/journal\\-entry(?:/)?$"
    },
    {
      "page": "/finance/transactions/new",
      "regex": "^/finance/transactions/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/finance/transactions/new(?:/)?$"
    },
    {
      "page": "/forgot-password",
      "regex": "^/forgot\\-password(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/forgot\\-password(?:/)?$"
    },
    {
      "page": "/inventory/master-data/items",
      "regex": "^/inventory/master\\-data/items(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/master\\-data/items(?:/)?$"
    },
    {
      "page": "/login",
      "regex": "^/login(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/login(?:/)?$"
    },
    {
      "page": "/organization/branches",
      "regex": "^/organization/branches(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/organization/branches(?:/)?$"
    },
    {
      "page": "/organization/companies",
      "regex": "^/organization/companies(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/organization/companies(?:/)?$"
    },
    {
      "page": "/organization/departments",
      "regex": "^/organization/departments(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/organization/departments(?:/)?$"
    },
    {
      "page": "/project-management/pm-sub-invoices",
      "regex": "^/project\\-management/pm\\-sub\\-invoices(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/pm\\-sub\\-invoices(?:/)?$"
    },
    {
      "page": "/project-management/pm-sub-invoices/new",
      "regex": "^/project\\-management/pm\\-sub\\-invoices/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/pm\\-sub\\-invoices/new(?:/)?$"
    },
    {
      "page": "/project-management/price-lists",
      "regex": "^/project\\-management/price\\-lists(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/price\\-lists(?:/)?$"
    },
    {
      "page": "/project-management/price-lists/new",
      "regex": "^/project\\-management/price\\-lists/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/price\\-lists/new(?:/)?$"
    },
    {
      "page": "/project-management/project-quotas",
      "regex": "^/project\\-management/project\\-quotas(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/project\\-quotas(?:/)?$"
    },
    {
      "page": "/project-management/project-quotas/new",
      "regex": "^/project\\-management/project\\-quotas/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/project\\-quotas/new(?:/)?$"
    },
    {
      "page": "/project-management/projects",
      "regex": "^/project\\-management/projects(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/projects(?:/)?$"
    },
    {
      "page": "/project-management/site-handovers",
      "regex": "^/project\\-management/site\\-handovers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/site\\-handovers(?:/)?$"
    },
    {
      "page": "/project-management/site-handovers/new",
      "regex": "^/project\\-management/site\\-handovers/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/site\\-handovers/new(?:/)?$"
    },
    {
      "page": "/project-management/store-transactions",
      "regex": "^/project\\-management/store\\-transactions(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/store\\-transactions(?:/)?$"
    },
    {
      "page": "/project-management/store-transactions/new",
      "regex": "^/project\\-management/store\\-transactions/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/store\\-transactions/new(?:/)?$"
    },
    {
      "page": "/project-management/sub-agreements",
      "regex": "^/project\\-management/sub\\-agreements(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/sub\\-agreements(?:/)?$"
    },
    {
      "page": "/project-management/sub-agreements/new",
      "regex": "^/project\\-management/sub\\-agreements/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/project\\-management/sub\\-agreements/new(?:/)?$"
    },
    {
      "page": "/purchase/dashboard",
      "regex": "^/purchase/dashboard(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/dashboard(?:/)?$"
    },
    {
      "page": "/purchase/goods-receipts",
      "regex": "^/purchase/goods\\-receipts(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/goods\\-receipts(?:/)?$"
    },
    {
      "page": "/purchase/goods-receipts/entry",
      "regex": "^/purchase/goods\\-receipts/entry(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/goods\\-receipts/entry(?:/)?$"
    },
    {
      "page": "/purchase/material-requests",
      "regex": "^/purchase/material\\-requests(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/material\\-requests(?:/)?$"
    },
    {
      "page": "/purchase/material-requests/entry",
      "regex": "^/purchase/material\\-requests/entry(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/material\\-requests/entry(?:/)?$"
    },
    {
      "page": "/purchase/purchase-invoices",
      "regex": "^/purchase/purchase\\-invoices(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/purchase\\-invoices(?:/)?$"
    },
    {
      "page": "/purchase/purchase-invoices/entry",
      "regex": "^/purchase/purchase\\-invoices/entry(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/purchase\\-invoices/entry(?:/)?$"
    },
    {
      "page": "/purchase/purchase-orders",
      "regex": "^/purchase/purchase\\-orders(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/purchase\\-orders(?:/)?$"
    },
    {
      "page": "/purchase/purchase-orders/entry",
      "regex": "^/purchase/purchase\\-orders/entry(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/purchase\\-orders/entry(?:/)?$"
    },
    {
      "page": "/purchase/purchase-requests",
      "regex": "^/purchase/purchase\\-requests(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/purchase\\-requests(?:/)?$"
    },
    {
      "page": "/purchase/purchase-requests/entry",
      "regex": "^/purchase/purchase\\-requests/entry(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/purchase\\-requests/entry(?:/)?$"
    },
    {
      "page": "/purchase/purchase-returns",
      "regex": "^/purchase/purchase\\-returns(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/purchase\\-returns(?:/)?$"
    },
    {
      "page": "/purchase/purchase-returns/entry",
      "regex": "^/purchase/purchase\\-returns/entry(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchase/purchase\\-returns/entry(?:/)?$"
    },
    {
      "page": "/roles",
      "regex": "^/roles(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/roles(?:/)?$"
    },
    {
      "page": "/set-password",
      "regex": "^/set\\-password(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/set\\-password(?:/)?$"
    },
    {
      "page": "/settings/audit-configurations",
      "regex": "^/settings/audit\\-configurations(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/audit\\-configurations(?:/)?$"
    },
    {
      "page": "/settings/project-management/scope",
      "regex": "^/settings/project\\-management/scope(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/project\\-management/scope(?:/)?$"
    },
    {
      "page": "/settings/project-management/site-layout",
      "regex": "^/settings/project\\-management/site\\-layout(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/project\\-management/site\\-layout(?:/)?$"
    },
    {
      "page": "/users",
      "regex": "^/users(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/users(?:/)?$"
    },
    {
      "page": "/verify-code",
      "regex": "^/verify\\-code(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/verify\\-code(?:/)?$"
    }
  ],
  "dataRoutes": [],
  "rsc": {
    "header": "rsc",
    "varyHeader": "rsc, next-router-state-tree, next-router-prefetch, next-router-segment-prefetch",
    "prefetchHeader": "next-router-prefetch",
    "didPostponeHeader": "x-nextjs-postponed",
    "contentTypeHeader": "text/x-component",
    "suffix": ".rsc",
    "prefetchSegmentHeader": "next-router-segment-prefetch",
    "prefetchSegmentSuffix": ".segment.rsc",
    "prefetchSegmentDirSuffix": ".segments",
    "clientParamParsing": false,
    "dynamicRSCPrerender": false
  },
  "rewriteHeaders": {
    "pathHeader": "x-nextjs-rewritten-path",
    "queryHeader": "x-nextjs-rewritten-query"
  }
}